﻿using System.ComponentModel;

namespace MvvmExample
{
    public class Book : INotifyPropertyChanged
    {
        private string _name;
        private string _author;

        public event PropertyChangedEventHandler PropertyChanged;

        public string Name
        {
            get { return _name; }
            set
            {
                if (_name == value)
                    return;

                _name = value;
                OnPropertyChanged("Name");
            }
        }

        public string Author
        {
            get { return _author; }
            set
            {
                if (_author == value)
                    return;

                _author = value;
                OnPropertyChanged("Author");
            }
        }

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName)); 
        }
    }
}
