﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace MvvmExample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window, INotifyPropertyChanged
    {
        private Book _selectedBook;

        public MainWindow()
        {
            InitializeComponent();

            Books = new ObservableCollection<Book>
            {
                new Book { Name = "The Lord of the Rings", Author = " J. R. R. Tolkien" },
                new Book { Name = "The Hobbit", Author = " J. R. R. Tolkien" },
                new Book { Name = "The Da Vinci Code", Author = "Dan Brown" }
            };

            DataContext = this;
        }

        public ObservableCollection<Book> Books { get; set; }

        public Book SelectedBook
        {
            get { return _selectedBook; }
            set
            {
                if (_selectedBook == value)
                    return;

                _selectedBook = value;
                OnPropertyChanged("SelectedBook");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
