﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.IO;

namespace PhotoGallery
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private DirectoryInfo _photosDir = new DirectoryInfo(@"C:\Users\Public\Pictures\Sample Pictures");
        private ObservableCollection<string> _photos;

        public ObservableCollection<string> Photos
        {
            get { return _photos; }
        }

        public MainWindow()
        {
            //_photos = new ObservableCollection<string>()
            //    {
            //        "http://85.14.28.164/d/images/photos/0167/0000167734-article.jpg",
            //        "http://85.14.28.164/d/images/photos/0167/0000167732-article.jpg"
            //    };

            LoadPhotos();

            this.DataContext = this;

            InitializeComponent();
        }

        private void LoadPhotos()
        {
            _photos = new ObservableCollection<string>();

            try
            {
                foreach (FileInfo f in _photosDir.GetFiles("*.jpg"))
                    _photos.Add(f.FullName);
            }
            catch (DirectoryNotFoundException)
            {
                System.Windows.MessageBox.Show("No Such Directory");
            }
        }
    }
}
